package com.gyee.wisdom.alarm.schedule.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;

/**
 * @descrition:场站实体
 * @author:Wanghs
 * @date:2019-11-29
 */
public class WindPowerStation implements Serializable {

    @TableId("ID")
    private String id;

    @TableField("NAME")
    private String name;

    @TableField("MODEL")
    private String model;

    private List<Equipmentmodel> Equipmentmodel;

    private List<String> modelList;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
        this.modelList = Arrays.asList(model.split("/"));
    }

    public List<String> getModelList() {
        return modelList;
    }

    public void setModelList(List<String> modelList) {
        this.modelList = modelList;
    }

    public List<Equipmentmodel> getEquipmentmodel() {
        return Equipmentmodel;
    }

    public void setEquipmentmodel(List<Equipmentmodel> equipmentmodel) {
        Equipmentmodel = equipmentmodel;
    }
}
